Skip to Main Content Skip to Search
Accelerating the pace of engineering and science

 

System Requirements for Polyspace Products – Release 2011b

Choose Your Operating System

Windows

Operating Systems Processors Disk Space RAM
32-Bit and 64-Bit Polyspace Products

Windows 7 or Windows 7 Service Pack 1

Windows Vista Service Pack 2

Windows XP Service Pack 3

Windows XP x64 Edition Service Pack 2

Windows Server 2008 Service Pack 2 or R2

Windows Server 2003 R2 Service Pack 2

Any Intel or AMD x86 processor supporting SSE2 instruction set*

2 GB for a typical installation

Polyspace Client
1024 MB minimum
(2 GB ECC RAM recommended)

Polyspace Server
2 GB minimum
(4 GB ECC RAM recommended)

* You can find more information in Solution 1-B3MR75.

Required Products and Plug-ins

Polyspace Model Link SL (for Simulink) 5.7 requires:
  • Polyspace Client for C/C++ 8.1
  • MATLAB R2009a or later release on Windows
Polyspace Model Link TL (for dSPACE TargetLink) 5.7 requires:
  • Polyspace Client for C/C++ 8.1
  • dSPACE TargetLink 3.0
Polyspace UML Link RH (for IBM Rational Rhapsody) 5.7 requires:
  • Polyspace Client for C/C++ 8.1
  • IBM Rational Rhapsody 7.2 (deprecated**), 7.3, or 7.4 on Windows
Polyspace for C/C++ add-in for Visual Studio (C++ only) is available for:
  • Microsoft Visual Studio .NET 2003 (deprecated**)
  • Microsoft Visual Studio 2008
  • Microsoft Visual Studio 2010
Polyspace add-in for Eclipse is available for:
  • Eclipse IDE 3.4 (deprecated**)
  • Eclipse IDE 3.5
  • Eclipse IDE 3.6

** Will no longer be available in next release.

Polyspace Client/Server/Metrics Communication

Polyspace products use several TCP communication ports. You can find more information in Solution 1-CO4NYS.

Multicore Support

Polyspace products benefit from using multicore processors. The recommended hardware is a 4-core processor with 2GB of RAM per core.

Graphics

  • 16-, 24-, or 32-bit OpenGL capable graphics adapter
  • DirectX 9.0c (August 2005) or later

License Management

  • Some license types require a license server running FLEXnet 11.8, which is provided by the MathWorks installer. A license server that is serving multiple releases of MATLAB must use the version of FLEXnet shipped with the latest release of MATLAB being served.
  • TCP/IP is required on all platforms when using a license server.

Contact Us

Call MathWorks: 508-647-7000